# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) Python Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from ._models import AgentProfile
from ._models import AutomaticResourcePredictionsProfile
from ._models import AzureDevOpsOrganizationProfile
from ._models import AzureDevOpsPermissionProfile
from ._models import DataDisk
from ._models import DevOpsAzureSku
from ._models import ErrorAdditionalInfo
from ._models import ErrorDetail
from ._models import ErrorResponse
from ._models import FabricProfile
from ._models import GitHubOrganization
from ._models import GitHubOrganizationProfile
from ._models import ImageVersion
from ._models import ImageVersionProperties
from ._models import ManagedServiceIdentity
from ._models import ManualResourcePredictionsProfile
from ._models import NetworkProfile
from ._models import Organization
from ._models import OrganizationProfile
from ._models import OsProfile
from ._models import Pool
from ._models import PoolImage
from ._models import PoolProperties
from ._models import PoolUpdate
from ._models import PoolUpdateProperties
from ._models import ProxyResource
from ._models import Quota
from ._models import QuotaName
from ._models import Resource
from ._models import ResourceDetailsObject
from ._models import ResourceDetailsObjectProperties
from ._models import ResourcePredictions
from ._models import ResourcePredictionsProfile
from ._models import ResourceSku
from ._models import ResourceSkuCapabilities
from ._models import ResourceSkuLocationInfo
from ._models import ResourceSkuProperties
from ._models import ResourceSkuRestrictionInfo
from ._models import ResourceSkuRestrictions
from ._models import ResourceSkuZoneDetails
from ._models import SecretsManagementSettings
from ._models import Stateful
from ._models import StatelessAgentProfile
from ._models import StorageProfile
from ._models import SystemData
from ._models import TrackedResource
from ._models import UserAssignedIdentity
from ._models import VmssFabricProfile

from ._enums import AzureDevOpsPermissionType
from ._enums import CachingType
from ._enums import CreatedByType
from ._enums import LogonType
from ._enums import ManagedServiceIdentityType
from ._enums import OsDiskStorageAccountType
from ._enums import PredictionPreference
from ._enums import ProvisioningState
from ._enums import ResourcePredictionsProfileType
from ._enums import ResourceSkuRestrictionsReasonCode
from ._enums import ResourceSkuRestrictionsType
from ._enums import ResourceStatus
from ._enums import StorageAccountType
from ._patch import __all__ as _patch_all
from ._patch import *  # pylint: disable=unused-wildcard-import
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AgentProfile",
    "AutomaticResourcePredictionsProfile",
    "AzureDevOpsOrganizationProfile",
    "AzureDevOpsPermissionProfile",
    "DataDisk",
    "DevOpsAzureSku",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "FabricProfile",
    "GitHubOrganization",
    "GitHubOrganizationProfile",
    "ImageVersion",
    "ImageVersionProperties",
    "ManagedServiceIdentity",
    "ManualResourcePredictionsProfile",
    "NetworkProfile",
    "Organization",
    "OrganizationProfile",
    "OsProfile",
    "Pool",
    "PoolImage",
    "PoolProperties",
    "PoolUpdate",
    "PoolUpdateProperties",
    "ProxyResource",
    "Quota",
    "QuotaName",
    "Resource",
    "ResourceDetailsObject",
    "ResourceDetailsObjectProperties",
    "ResourcePredictions",
    "ResourcePredictionsProfile",
    "ResourceSku",
    "ResourceSkuCapabilities",
    "ResourceSkuLocationInfo",
    "ResourceSkuProperties",
    "ResourceSkuRestrictionInfo",
    "ResourceSkuRestrictions",
    "ResourceSkuZoneDetails",
    "SecretsManagementSettings",
    "Stateful",
    "StatelessAgentProfile",
    "StorageProfile",
    "SystemData",
    "TrackedResource",
    "UserAssignedIdentity",
    "VmssFabricProfile",
    "AzureDevOpsPermissionType",
    "CachingType",
    "CreatedByType",
    "LogonType",
    "ManagedServiceIdentityType",
    "OsDiskStorageAccountType",
    "PredictionPreference",
    "ProvisioningState",
    "ResourcePredictionsProfileType",
    "ResourceSkuRestrictionsReasonCode",
    "ResourceSkuRestrictionsType",
    "ResourceStatus",
    "StorageAccountType",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
